Loading...
Searching...
No Matches
NoopStats< ValueT > Struct Template Reference

No-op Stats class. More...

`#include <nanovdb/util/GridStats.h>`

## Public Types

using | ValueType = ValueT

## Public Member Functions

__hostdev__ | NoopStats ()
__hostdev__ | NoopStats (const ValueT &)
__hostdev__ NoopStats & | add (const ValueT &)
__hostdev__ NoopStats & | add (const ValueT &, uint64_t)
__hostdev__ NoopStats & | add (const NoopStats &)
template<typename NodeT >
__hostdev__ void | setStats (NodeT &) const

## Static Public Member Functions

static __hostdev__ constexpr size_t | size ()
static __hostdev__ constexpr bool | hasMinMax ()
static __hostdev__ constexpr bool | hasAverage ()
static __hostdev__ constexpr bool | hasStdDeviation ()
static __hostdev__ constexpr bool | hasStats ()

## Detailed Description

template<typename ValueT>
struct nanovdb::NoopStats< ValueT >

No-op Stats class.

## Member Typedef Documentation

## ValueType

template<typename ValueT >

using ValueType = ValueT

## Constructor & Destructor Documentation

## NoopStats() [1/2]

template<typename ValueT >

__hostdev__ NoopStats | ( |  | ) |

inline

## NoopStats() [2/2]

template<typename ValueT >

__hostdev__ NoopStats | ( | const ValueT & |  | ) |

inline

## Member Function Documentation

## add() [1/3]

template<typename ValueT >

__hostdev__ NoopStats & add | ( | const NoopStats< ValueT > & |  | ) |

inline

## add() [2/3]

template<typename ValueT >

__hostdev__ NoopStats & add | ( | const ValueT & |  | ) |

inline

## add() [3/3]

template<typename ValueT >

__hostdev__ NoopStats & add | ( | const ValueT & | ,
|  | uint64_t |
| ) |  |

inline

## hasAverage()

template<typename ValueT >

static __hostdev__ constexpr bool hasAverage | ( |  | ) |

inlinestaticconstexpr

## hasMinMax()

template<typename ValueT >

static __hostdev__ constexpr bool hasMinMax | ( |  | ) |

inlinestaticconstexpr

## hasStats()

template<typename ValueT >

static __hostdev__ constexpr bool hasStats | ( |  | ) |

inlinestaticconstexpr

## hasStdDeviation()

template<typename ValueT >

static __hostdev__ constexpr bool hasStdDeviation | ( |  | ) |

inlinestaticconstexpr

## setStats()

template<typename ValueT >
template<typename NodeT >

__hostdev__ void setStats | ( | NodeT & |  | ) | const

inline

## size()

template<typename ValueT >

static __hostdev__ constexpr size_t size | ( |  | ) |

inlinestaticconstexpr